Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface AdhocQueryResponseType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AdhocQueryResponseTypeImpl

    public interface AdhocQueryResponseType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Adhoc Query Response Type'.

The following features are supported:

- `Filter Query Result`
- `SQL Query Result`

See Also:
  `QueryPackage.getAdhocQueryResponseType()`

Method Summary
`FilterQueryResultType` | `getFilterQueryResult()` Returns the value of the 'Filter Query Result' containment reference.
`RegistryObjectListType` | `getSQLQueryResult()` Returns the value of the 'SQL Query Result' containment reference.
`void` | `setFilterQueryResult(FilterQueryResultType value)` Sets the value of the '`Filter Query Result`' containment reference.
`void` | `setSQLQueryResult(RegistryObjectListType value)` Sets the value of the '`SQL Query Result`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFilterQueryResult

    FilterQueryResultType getFilterQueryResult()

  Returns the value of the 'Filter Query Result' containment reference.

  If the meaning of the 'Filter Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Filter Query Result' containment reference.
  See Also:
    `setFilterQueryResult(FilterQueryResultType)`, `QueryPackage.getAdhocQueryResponseType_FilterQueryResult()`

### setFilterQueryResult

    void setFilterQueryResult(FilterQueryResultType value)

  Sets the value of the '`Filter Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Filter Query Result' containment reference.
  See Also:
    `getFilterQueryResult()`

### getSQLQueryResult

    RegistryObjectListType getSQLQueryResult()

  Returns the value of the 'SQL Query Result' containment reference.

  If the meaning of the 'SQL Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'SQL Query Result' containment reference.
  See Also:
    `setSQLQueryResult(RegistryObjectListType)`, `QueryPackage.getAdhocQueryResponseType_SQLQueryResult()`

### setSQLQueryResult

    void setSQLQueryResult(RegistryObjectListType value)

  Sets the value of the '`SQL Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'SQL Query Result' containment reference.
  See Also:
    `getSQLQueryResult()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD